#Changes the working directory to where the Well Licences.csv was saved. This csv was created in the RCaller Scenario

getwd()
setwd("/Users/lsanderson/Documents/Articles/R/R - Wells/NoNulls")

#Reads in the Well Licences.csv
wells <- read.csv("Well Licences.csv")

#Removes the copyright information at the bottom of the csv/excel file 
wells <- wells[-c(2127:2133, drop=FALSE),]

#Checks the structure of the file and then sets production values to numeric to run statistics on later
str(wells)
wells$Final.Total.Depth..m  <- as.numeric(as.character(wells$Final.Total.Depth..m))
wells$Last.Annual.Oil.Prod..m.  <- as.numeric(as.character(wells$Last.Annual.Oil.Prod..m.))
wells$Last.Annual.Gas.Prod..10.m.  <- as.numeric(as.character(wells$Last.Annual.Gas.Prod..10.m.))
wells$Last.Annual.Water.Prod..m.  <- as.numeric(as.character(wells$Last.Annual.Water.Prod..m.))
str(wells) #ensures numeric values

#Creates a variable called TotalProd and adds oil, gas and water production into it.
TotalProd <- wells$Last.Annual.Oil.Prod..m. +  wells$Last.Annual.Gas.Prod..10.m. + wells$Last.Annual.Water.Prod..m.
TotalProd

#Creates a new column in the wells dataset with the new TotalProd variable
wells$TotalProd <- TotalProd
str(wells)

#Creates an aggregated list
FieldName <- aggregate(wells$TotalProd, by=list(FieldName=wells$Field.Area.Name), FUN=sum)
FieldName

#orders the list numerically
FieldName[order(FieldName$x),]

#Creates a variable called Remove that contains only the wells with a Total Production less than 10. 
Remove <- wells[wells$TotalProd < 10,]
summary(Remove)
